Patch Transaction Resource
curl --request PATCH \
--url https://api.embedreach.com/api/resources/transactions/{externalId} \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"transactionId": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"transactionTotal": 123,
"transactionDetailUrl": "<string>",
"customerId": "<unknown>"
}
}
'import requests
url = "https://api.embedreach.com/api/resources/transactions/{externalId}"
payload = { "data": {
"transactionId": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"transactionTotal": 123,
"transactionDetailUrl": "<string>",
"customerId": "<unknown>"
} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
transactionId: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
transactionTotal: 123,
transactionDetailUrl: '<string>',
customerId: '<unknown>'
}
})
};
fetch('https://api.embedreach.com/api/resources/transactions/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedreach.com/api/resources/transactions/{externalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'transactionId' => '<string>',
'transactionDate' => '2023-11-07T05:31:56Z',
'transactionTotal' => 123,
'transactionDetailUrl' => '<string>',
'customerId' => '<unknown>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.embedreach.com/api/resources/transactions/{externalId}"
payload := strings.NewReader("{\n \"data\": {\n \"transactionId\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"transactionTotal\": 123,\n \"transactionDetailUrl\": \"<string>\",\n \"customerId\": \"<unknown>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.embedreach.com/api/resources/transactions/{externalId}")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"transactionId\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"transactionTotal\": 123,\n \"transactionDetailUrl\": \"<string>\",\n \"customerId\": \"<unknown>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedreach.com/api/resources/transactions/{externalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"transactionId\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"transactionTotal\": 123,\n \"transactionDetailUrl\": \"<string>\",\n \"customerId\": \"<unknown>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {
"transactionId": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"transactionTotal": 123,
"transactionDetailUrl": "<string>",
"customerId": "<unknown>"
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}Default Partner Resources
Patch Transaction Resource
Updates a transaction resource by its external ID. This is an incremental update, only provided fields will be updated.
PATCH
/
api
/
resources
/
transactions
/
{externalId}
Patch Transaction Resource
curl --request PATCH \
--url https://api.embedreach.com/api/resources/transactions/{externalId} \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"transactionId": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"transactionTotal": 123,
"transactionDetailUrl": "<string>",
"customerId": "<unknown>"
}
}
'import requests
url = "https://api.embedreach.com/api/resources/transactions/{externalId}"
payload = { "data": {
"transactionId": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"transactionTotal": 123,
"transactionDetailUrl": "<string>",
"customerId": "<unknown>"
} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
transactionId: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
transactionTotal: 123,
transactionDetailUrl: '<string>',
customerId: '<unknown>'
}
})
};
fetch('https://api.embedreach.com/api/resources/transactions/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedreach.com/api/resources/transactions/{externalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'transactionId' => '<string>',
'transactionDate' => '2023-11-07T05:31:56Z',
'transactionTotal' => 123,
'transactionDetailUrl' => '<string>',
'customerId' => '<unknown>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.embedreach.com/api/resources/transactions/{externalId}"
payload := strings.NewReader("{\n \"data\": {\n \"transactionId\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"transactionTotal\": 123,\n \"transactionDetailUrl\": \"<string>\",\n \"customerId\": \"<unknown>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.embedreach.com/api/resources/transactions/{externalId}")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"transactionId\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"transactionTotal\": 123,\n \"transactionDetailUrl\": \"<string>\",\n \"customerId\": \"<unknown>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedreach.com/api/resources/transactions/{externalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"transactionId\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"transactionTotal\": 123,\n \"transactionDetailUrl\": \"<string>\",\n \"customerId\": \"<unknown>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {
"transactionId": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"transactionTotal": 123,
"transactionDetailUrl": "<string>",
"customerId": "<unknown>"
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The external ID of the transaction resource to update
Query Parameters
Whether to allow extra fields that are not defined in the schema. If true, extra fields will be accepted but not saved. If false, requests with extra fields will be rejected.
Body
application/json
Partial transaction resource data for incremental update
Show child attributes
Show child attributes